Cyberduck Mountain Duck CLI

#5558 closed defect (fixed)

Allow "blank" passwords if private key authentication is selected.

Reported by: https://www.google.com/accounts/o8/id?id=aitoawlvaprdfckcavhqsxtuzhuqt59dkzlqtk4 Owned by:
Priority: normal Milestone: 4.0
Component: sftp Version: 4.0b8
Severity: minor Keywords: public key login
Cc: Architecture:
Platform: Windows 7

Description

If password is not needed (private key used), it still requires you to enter a password before connecting. Putting garbage in the password line will still allow a connect to the server.

Change History (4)

comment:1 Changed on Dec 14, 2010 at 3:03:37 PM by dkocher

  • Milestone set to 4.0
  • Resolution set to fixed
  • Status changed from new to closed

In r8078.

comment:2 Changed on Dec 22, 2010 at 3:37:32 PM by dkocher

Please test this using the latest snapshot build available.

comment:3 Changed on Dec 22, 2010 at 7:41:00 PM by https://www.google.com/accounts/o8/id?id=aitoawlvaprdfckcavhqsxtuzhuqt59dkzlqtk4

Tested and working as requested. Thanks

comment:4 Changed on Mar 3, 2011 at 8:11:37 AM by dkocher

  • Component changed from core to sftp
  • Summary changed from Please allow "blank" passwords if private key authentication is selected. to Allow "blank" passwords if private key authentication is selected.
Note: See TracTickets for help on using tickets.
swiss made software